diff tests/test.bash @ 0:d098192f01d9

Initial commit to the repository.
author Brian Neal <bgneal@gmail.com>
date Sat, 19 Mar 2011 19:53:12 -0500
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test.bash	Sat Mar 19 19:53:12 2011 -0500
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+INCLUDES="-I../../fructose/include -I../../tclap-1.2.0/include"
+
+../fructose_gen.py x1.h x2.h x3.h > x.cpp
+#g++ -o x.out $INCLUDES x.cpp
+
+../fructose_gen.py --generator g1.h g2.h g3.h > g.cpp
+#g++ -o g.out $INCLUDES g.cpp
+
+diff x_expected.cpp x.cpp >/dev/null
+if [ $? -eq 0 ]; then
+   echo "xunit style passed"
+else
+   echo "xunit style failed"
+fi
+
+diff g_expected.cpp g.cpp >/dev/null
+if [ $? -eq 0 ]; then
+   echo "generator style passed"
+else
+   echo "generator style failed"
+fi